<p>title: Menulis Konten Pada File
description:</p>
<hr />
<p>Pada tahap sebelumnya kita telah belajar bagaimana cara membaca file yang tentunya file tersebut, sebelumnya telah dibuat dengan cara manual dalam artian menginputkan teks tersebut kedalam file secara langsung.
Bagaimana jika kita ingin membuat file atau mengisi konten file tersebut? tanpa harus menginputkan teks secara langsung kedalam file txt tersebut atau kamu akan mengedit file.txt tanpa harus membuka file tersebut dan di edit secara manual kamu bisa menggunakan <code>fopen();</code>.</p>
<h2>Praktek</h2>
<ul>
<li>
<p>Langkah pertama buat file berekstensi php, saya membuat file baru dengan nama file.php namun masih belum berisikan kode.</p>
<p><img src="https://static.cdn-cdpl.com/source/81f07c333b0e4b27e50663623a2b999b/fopen.png" alt="" /></p>
</li>
<li>
<p>Untuk mengisi kodenya kamu bisa buka file.php di Text Editor kamu lalu buatlah kode seperti dibawah ini:</p>
<pre><code>&lt;?php
fopen("contoh1.txt", "w"); //</code></pre>
<p>Jika sudah kamu bisa save file.php tersebut kemudian refresh browser, maka akan muncul file baru yaitu contoh1.txt dan jika kalian buka file tersebut masih kosong.
<img src="https://static.cdn-cdpl.com/source/81f07c333b0e4b27e50663623a2b999b/contoh1.png" alt="" /></p>
</li>
<li>
<p>Lalu bagaimana cara mengisi  file tersebut tanpa harus mengisi secara manual kamu bisa membuat variabel ke dalam fungs atau tambahkan kode dibawah ini:</p>
<pre><code>&lt;?php
$file = fopen("contoh1.txt", "w");
fwrite($file, "menulis content dengan php");/* fwrite adalah fungsi untuk menulis file kosong tersebut. tentunya dengan memanggil fungsi fopen(); dengan nama variabel yaitu variabel $file.*/</code></pre>
<p>Setelah itu simpan kode tersebut pada file.php dan refresh kemudian buka file.php pada browser kamu, kemudian refresh kembali browser kamu buka contoh1.txt maka akan memiliki tulisan &quot;menulis content dengan php&quot;.</p>
</li>
</ul>
<p>Bila Kamu sudah mencoba skenario program dan sudah paham dengan materi yang disampaikan, klik tombol &quot;Next Lesson&quot; di bawah editor.</p>